Powercycle a dedicated server

POST/v1/hosts/dedicated_servers/{server_id}/power_cycle

A POST request to /v1/hosts/dedicated_servers/{server_id}/power_cycle will send a power cycle command to a server with the ID specified in the path parameter. This command switches a server off and then turns it on.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of a server.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/hosts/dedicated_servers/y5eVZoeE/power_cycle"
{  "id": "y5eVZoeE",  "rack_id": "K9b64VeE",  "title": "title689",  "location_id": 1378,  "location_code": "location2859",  "status": "active",  "operational_status": "normal",  "power_status": "power_cycling",  "configuration": "REMM R123",  "private_ipv4_address": "10.0.0.135",  "public_ipv4_address": "169.254.0.135",  "lease_start_at": "2026-05-25",  "scheduled_release_at": null,  "type": "dedicated_server",  "oob_ipv4_address": "198.29.114.3",  "configuration_details": {    "ram_size": 2,    "bandwidth_id": 21,    "bandwidth_name": "20000 GB",    "server_model_id": 62,    "public_uplink_id": 51,    "private_uplink_id": 52,    "server_model_name": "server-model-693",    "public_uplink_name": "Public 1 Gbps without redundancy",    "operating_system_id": 21,    "private_uplink_name": "Private 1 Gbps without redundancy",    "operating_system_full_name": "CentOS 7 x86_64"  },  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "ipxe_config": null,  "userdata_sha256": null,  "created_at": "2026-05-28T07:03:48Z",  "updated_at": "2026-05-28T07:03:49Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}
{  "message": "Power management operation already in process",  "code": "CONFLICT"}
{  "message": "Host is not ready",  "code": "PRECONDITION_FAILED"}